## org.apache.batik.anim
Class AnimationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.anim.AnimationException

All Implemented Interfaces:
  java.io.Serializable

    public class AnimationException

extends java.lang.RuntimeException

An exception class for SMIL animation exceptions.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `code` The error code.
`protected TimedElement` `e` The timed element on which the error occurred.
`protected java.lang.String` `message` The message.
`protected java.lang.Object[]` `params` The parameters to use for the error message.

Constructor Summary
`AnimationException(TimedElement e, java.lang.String code, java.lang.Object[] params)` Creates a new AnimationException.

Method Summary
`java.lang.String` `getCode()` Returns the error code.
`TimedElement` `getElement()` Returns the timed element that caused this animation exception.
`java.lang.String` `getMessage()` Returns the error message according to the error code and parameters.
`java.lang.Object[]` `getParams()` Returns the error message parameters.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected TimedElement e

  The timed element on which the error occurred.

### code

    protected java.lang.String code

  The error code.

### params

    protected java.lang.Object[] params

  The parameters to use for the error message.

### message

    protected java.lang.String message

  The message.

Constructor Detail

### AnimationException

    public AnimationException(TimedElement e,
                              java.lang.String code,
                              java.lang.Object[] params)

  Creates a new AnimationException.

  Parameters:
    `e` - the animation element on which the error occurred
    `code` - the error code
    `params` - the parameters to use for the error message

Method Detail

### getElement

    public TimedElement getElement()

  Returns the timed element that caused this animation exception.

### getCode

    public java.lang.String getCode()

  Returns the error code.

### getParams

    public java.lang.Object[] getParams()

  Returns the error message parameters.

### getMessage

    public java.lang.String getMessage()

  Returns the error message according to the error code and parameters.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.